' *****************************************************************************
' ConvertCSV.vbs
' Copyright  2007 Kinook (TM) Software, Inc.  All rights reserved.
' http://www.kinook.com
'
' Converts a delimited text file into CSV format.
'
' Usage: Place in same folder as file named email.txt and double-click 
' ConvertCSV.vbs in Explorer, or type the following at
' a Command Prompt:
' cscript ConvertCSV.vbs [text filename]
'
' Modifications:
' *****************************************************************************

If WScript.Arguments.Count > 0 Then
	filename = WScript.Arguments(0)
Else
	filename = "email.txt"
	If Len(filename) = 0 Then WScript.Quit 1
End If

Set objFS = WScript.CreateObject("Scripting.FileSystemObject")

' open mbox file for reading
Set fin = objFS.OpenTextFile(filename)
Set fout = objFS.CreateTextFile(filename & ".csv")

first = true
' process entire file line by line
Do While Not fin.AtEndOfStream
	line = Replace(fin.ReadLine, """", """""")	 ' escape double-quote chars

	' look for beginning of message marker
	p = InStr(line, "==END==")
	If p > 0 Then
		fout.WriteLine(Left(line, p-1)) + """"
		line = Mid(line, p+7)
		first = True
	End If

	' enclose all values in double quotes
	If first Then fout.Write """"
	fout.WriteLine line
	first = False
Loop
